=== focus-blur/Makefile ===
include ../common-autotools.mk
