=== layer-effects/Makefile ===
SCRIPT = layer-effects_en.scm

include ../common-script.mk
