=== smart-sharpen-redux/Makefile ===
SCRIPT = Eg-SmartSharpen.scm

include ../common-script.mk
