## gimp-plugin-registry 1.0

=== diana-holga2/Makefile ===
SCRIPT = diana-holga2b.scm
include ../common-script.mk
