=== layer-effects/Makefile ===
SCRIPT = layer-effects_24.scm

include ../common-script.mk
