=== wavelet-denoise/Makefile ===
PLUGIN = wavelet-denoise

include ../common.mk
