## gimp-plugin-registry 2.2

=== dustcleaner/Makefile ===

include ../common-autotools.mk
