=== layer-effects/Makefile ===
SCRIPT = layerfx.py

include ../common-py.mk
