=== sprocket-hole/Makefile ===
SCRIPT = elsamuko-slide-with-sprockets.scm

include ../common-script.mk
