## gimp-plugin-registry 3.2

=== xmc/Makefile ===
PLUGIN = file-xmc

include ../common.mk
