=== xmc/Makefile ===
PLUGIN = file-xmc
EXTRA_LDFLAGS = -lXcursor

include ../common.mk
