=== debian/changelog ===
gimp-plugin-registry (4.20120506) unstable; urgency=low

  * [7c4a2de4] Move to Debian native versions.
    Remove upstream-branch from gbp.conf.
  * [94ead067] Update add-filmgrain.
  * [6717b8fe] Upda contactsheet.
  * [f57eff58] Updating elsamuko plugins.
  * [537b16cb] Updating ez-perspective plugin.
  * [35dc23ce] Update focusblur plugin.
  * [9cdca98f] Update layerfx plugin.
  * [4f97f353] Update normalmap upstream url.
  * [605dd2ee] Updating openraster plugin.
  * [0e3f37df] Updating safe-for-web plugin.
  * [e2d17490] Migrate from smart-sharpen (redux) to smart-seperate-sharpen.
  * [1556dcd5] Rename file-xmc to file-xmc-2.6.
    This is a fix to avoid my inbox being spammed by bug reports from all
    the fools who install gimp from random Ubuntu PPAs.
  * [324b9afb] Remove smart-sharpen scripts from gimp-fx-foundry.
    We ship a nw version of these scripts.
  * [69e0b4b6] Refreshing patches.
  * [2939ac33] Updating debian/control and debian/copyright.
  * [35b5282d] Add patcato get rid of individual glib headers.
    Thanks to Michael Biebl (Closes: #665533)
  * [b05b8c6e] Build c plugins with -fPIC.
  * [dda8df0c] Bumping Standards-Version, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 May 2012 00:14:46 +0200

gimp-plugin-registry (3.5.4-1) unstable; urgency=low

  * [c94875ed] More fixes for weird Ubuntu issues.
  * [daf3b032] Move *.c in front of the linker options in gcc call.
  * [4746d4ec] Revert "exposure-blend: Dropping plugin." as requested.
    This reverts commit bbd383fe7138af722758fc4373fefad26b142cf2.
  * [010d0cf5] Liquid-Rescale: Updating to 0.7.1
  * [a2114978] Rename seperate+ source folder.
  * [81425b5c] Seperate+: Update to version 0.5.8
  * [2a0bb193] Contactsheet: Updating to version 2.15
  * [fe2c8eb2] Elsamuko: Updating to latest version from https://sites.google.com/site/elsamuko/gimp
  * [cf79b0d7] Remove .gmo files which will be removed at build time anyway.
  * [a2eb33a9] Updating copyright and control files.
  * [19eefff0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 25 Jul 2011 17:07:03 +0200

gimp-plugin-registry (3.5.3-1) unstable; urgency=low

  * [371a43f5] Fix linker issues in refoxus plugin.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Feb 2011 17:50:18 +0100

gimp-plugin-registry (3.5.2-2) unstable; urgency=low

  * [1010463f] Fix refocus Makefile to include all necessary linkage.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 18 Feb 2011 23:15:21 +0100

gimp-plugin-registry (3.5.2-1) experimental; urgency=low

  * [de938436] s/The GIMP/GIMP/ as suggested on irc.
  * [45d63b59] Add openraster plugin. (Closes: #545398) (LP: #604521)
  * [a0831874] Updating copyright/control files.
  * [3a058f35] Don't build and install xmc for Gimp 2.7 or newer. (LP:
    #630786)
  * [c582018a] Updating debian/control.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Sep 2010 12:45:35 +0200

gimp-plugin-registry (3.5.1-1) unstable; urgency=low

  * [16de0f78] Remove url from plugin description.
  * [b88dc866] Spelling fixes in plugin descriptions.
  * [0146da1f] Ensure gimp-fx is installed first to prefer manually
    selected plugins.
  * [b9d25392] Work around various Python related bugs in Ubuntu.
  * [74a4f964] Updating control file.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 05 Jul 2010 18:26:57 +0200

gimp-plugin-registry (3.5-1) unstable; urgency=low

  * [93ba2617] Restoring accidentally changed date of the changelog
    entry of 3.2-1.
  * [2f1ae711] Fix a spelling mistake in debian/changelog.
  * [9689c25a] New plugin: traditional orton.
  * [91c2a72e] Enhance common-py.mk. - pycompile scripts to ensure
    they're syntactically correct. - handle script_srcdir and multiple
    scripts.
  * [beabb78c] New plugin: ez-perspective.
  * [c2982ab6] We need python as build-dependency now.
  * [ba92cfee] Bump Standards-Version to 3.9.0, no changes needed.
  * [604a80cd] Updating control/copyright.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Jul 2010 14:17:45 +0200

gimp-plugin-registry (3.4-1) unstable; urgency=low

  * [8bbfa39d] Switch the order of libblas and liblapack build-dep. This
    might stop sbuild from installing atlas as dependency of liblapack.
    Thanks for the suggestion to Kurt Roeckx - see bug #403246 for
    details.
  * [5f75277a] New plugin: hdroberts-tone-adjust / Warming and Cooling
    Filters.
  * [840ca3bf] New plugin: GIMP-Mask
  * [f7f437b9] Enhave common-script.mk to handle more than one script.
  * [d29b7140] Allow to specify a sourcedir for scripts in common-
    script.mk.
  * [38da1953] Add gimp-fx-foundry script collection. (Closes: #452207)
  * [c13fb33e] Update TODO.
  * [ee8eed1d] Use different seperators for sed to avoid clashes with
    descriptions.
  * [394057b6] Bunping Standards-Version to 3.8.4, no changes needed.
  * [bc45181d] Remove unnecessary 'A' from the short description.
  * [76efad5d] Updating copyright and control files.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Jun 2010 23:58:28 +0200

gimp-plugin-registry (3.3.1-1) unstable; urgency=low

  * [71eaf547] Updating TODO.
  * [8b27ad88] Add /usr/lib/libblas to the library search path for
    refocus.
  * [ab61f159] Prepare the "work-around-buggy-sbuild" release. Revert
    "Build-Conflict against libatlas-base-dev." This reverts commit
    b8d256e4dd7f03861be94e00444a4c93e80e93d9.
  * [c7310c70] Allow to add extra CFLAGS/LDFLAGS in common.mk.
  * [1e6fe57f] The xmc plugin needs to be linked against libxcursor.
  * [b07255d3] Add /usr/lib/liblapack to the library search path for
    refocus.
  * [95eb3484] Force dpkg-shlibs to use liblapack/libblas instead of
    atlas.
  * [9d7319d0] Build-depend on libxcursor-dev as needed by xmc.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Jun 2010 00:10:09 +0200

gimp-plugin-registry (3.3-1) unstable; urgency=low

  * [b8d256e4] Build-Conflict against libatlas-base-dev. Hopefully this
    ensures the package does not need atlas for a transition to testing.

