=== debian/control ===
Source: gimp-plugin-registry
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, quilt,
 libgimp2.0-dev (>= 2.6), libxml-parser-perl,
 libblas-dev, liblapack-dev, libf2c2-dev, libfftw3-dev, libglew-dev,
 libgtkglext1-dev, liblcms1-dev, libtiff4-dev,
 liblqr-1-0-dev (>= 0.3.0), intltool,
 libxcursor-dev, python
Standards-Version: 3.9.3
Vcs-Git: git://git.recluse.de/debian/pkg-gimp-plugin-registry.git
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gimp-plugin-registry.git;a=summary

Package: gimp-plugin-registry
Architecture: any
Depends: gimp (>= 2.6),
 ${shlibs:Depends}, ${misc:Depends},
 python, libtiff-tools, xdg-utils
Suggests: icc-profiles
Conflicts: gimp-refocus (<< 0.9.0-2), gimp-save-for-web
Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web
Provides: gimp-save-for-web
Enhances: gimp
Recommends: gimp-gmic
Description: repository of optional extensions for GIMP
 The package contains the following plugins:
 .
   * Add Film Grain (2.8):
     Helps adding realistic film grain to BW images.
   * btn4ws (0.8.0.1):
     Generates a series of buttons in three states (passive, active, pressed)
     with various selectable effects on them, as well as XHTML, CSS and
     JavaScript code for using the buttons.
   * Black and White Film Simulation (1.1):
     Converts the selected layer into Black and White using
     the channel mixer. Tries to produce results resembling
     tonal qualities of film.
   * CMYK Tiff 2 PDF for Gimp (20090321):
     This plugin completes the prepress workflow of using Separate+ to generate
     CMYK Tiff images by allowing you to convert the saved CMYK Tiff image into
     a PDF file.
   * Contact Sheet (2.16):
     Generates a contact sheet(s) for a directory of images.
   * David's Batch Processor (1.1.9):
     A simple batch processing plugin for The Gimp - it allows
     the user to automatically perform operations (such as resize)
     on a collection of image files.
   * Diana-Holga2 (c):
     Diana/Holga Toys Cameras effect simulator.
   * El Samuko GIMP Scripts:
     * Antique Photo Border Script:
       This script simulates a yellowed and slightly jagged border
       like these of old photographies.
     * Che Guevara Script:
       This script generates a poster like the famous Che Guevara
       one from Jim Fitzpatrick.
     * Cyanotype Script:
       This script simulates the Cyanotype printing process.
     * Difference Layer Script
       This script generates two difference layers from the two layers
       on the top. It's similar to GIMP's built-in Grain Extract/Merge
       function, but the tonal range is bigger.
       Now you can apply further editing and "switch on/off" the
       adjustment by switching the visibility of the subtractive and
       the additive layer.
       Also you can change the modification intensity by changing the
       intensity of these two layers.
     * Erosion Sharpen:
       Sharpens the image with erosion and dilation.
     * Escape Line Script:
       This script creates escaping lines from any point. It's similar
       in function to the built-in Line-Nova Script, but much more
       flexible. So you can chose the center, the thickness, the angle,
       the length, the offset and the randomness.
     * Film Grain Script:
       This is yet another script which simulates the typical film grain
       of high ISO pictures.
     * First Photo Border Script:
       This script simulates the cut-off of the first picture of a film
       roll of cheap cameras like Lomo.
     * Lomo Script with Old Style Colors
       This script simulates the Lomo effect.
     * Movie 300 Script:
       This script simulates the color style of the movie "300".
     * National Geographic Script:
       This script simulates a high quality (portrait) photo like
       these from the National Geographic.
     * Obama "HOPE" Script:
       This script generates a poster like the famous Obama "HOPE"
       one from Shepard Fairey.
     * Rainy Landscape Script:
       This script changes a dry landscape to a wet one.
     * Photochrom Script:
       This script simulates a photochrom image, a lithographic printing
       process from the 1890's.
     * Sprocket Hole Script:
       This script simulates complete exposed 35mm film strips with frame
       numbers, lettering, overexposed sprocketholes and DX film edge barcodes.
     * Sunny Landscape Script:
       This script changes a rainy landscape to a sunny one.
     * Technicolor 2 Color Script:
       This script simulates the 2 Color Technicolor effect.
     * Technicolor 3 Color Script:
       This script simulates the 3 Color Technicolor effect.
     * Vintage Look Script:
       This script simulates a 70s vintage look.
      * Exposure Blend (1.3c):
        Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
        and blend these into a contrast enhanced image.
   * EZ Perspective:
     Specialized tool for easily correcting or changing perspective.
   * Fix-CA (3.0.2):
     Corrects chromatic aberration in photos
   * Focus-Blur (3.2.6):
     This plugin tries to simulate an out-of-focus blur
   * GIMP FX Foundry (r111):
     Probably the largest script collection available for The GIMP.
   * GIMP-Mask:
     Do and undo several popular image masking (that is, censoring)
     methods (CP, FL, Q0, MEKO).
   * Warming and Cooling Filters (May 24, 2010):
     Warm or cool an image using one of several methods:
     Wratten, Roy's Warm, Brauer's Warm, Pasty Cadaveric Look
   * Layer-Effects (4/12/2012):
     This is a series of scripts that implement various layer effects:
     Drop Shadow, Inner Shadow, Outer Glow, Inner Glow, Bevel and Emboss,
     Satin, Color Overlay, Gradient Overlay, Pattern Overlay, Stroke
   * Liquid Rescale (0.7.1):
     Content-aware rescaling. Keeps the features of the image while
     rescaling along a single direction.
   * Normalmap (1.2.2):
     Allows you to convert images into RGB normal maps for use in
     per-pixel lighting applications.
   * OpenRaster load/save handler (20110529-1d32622):
     OpenRaster is an effort by the Create project[1] to offer a standardized
     and open interchange format for raster-based applications. This plugin
     allows to load and save files in the OpenRaster format.
   * Planet Render (1-2):
     Creates a planet. Color, size and sun orientation
     can be set.
   * Refocus (0.9.1):
     The GIMP plugin to refocus images using FIR Wiener filtering.
     During image processing operations such as scanning and scaling, images
     tend to get blurry. The blurred impression of these images is due to the
     fact that image pixels are averaged with their neighbors. Blurred images
     don't have sharp boundaries and look as though they have been taken with
     an unfocused camera.
   * Save for Web (0.29.0):
     Allows to experiment with various popular web format options. It shows
     an automatically updated preview and file size statistics.
   * Separate+ (0.5.8):
     Separate+ is a plug-in that generates color separations from an RGB
     image, proofs CMYK colors on the monitor and exports the CMYK TIFF file.
   * Smart Seperate Sharpening (2.8):
     This script implements a new version of smart sharpening (redux)
     combined with separate sharpen to give better results.
     You can find more about Smart Sharpening at
     http://www.gimpguru.org/Tutorials/SmartSharpening2/
   * Streak-Camera simulation (0.6):
     A streak camera images an object through a slit -
     thus getting a "one dimensional image". This image is
     propagated along the second dimension of the image plane
     at a constant speed. The result is a picture of the time
     dependency of the object.
   * Traditional Orton:
     This is an effect invented by Michael Orton in the 1990’s, which
     consists of taking two copies of an image, one blurred, and one sharp,
     and mixing them to produce an image with a dreamy quality. It is
     especially well suited to landscape and flower photography.
   * Wavelet Decompose (0.1.2):
     The wavelet decompose plugin decomposes a layer of an image into layers
     of wavelet scales. This means that you can edit the image on different
     detail scales (frequencies). The trivial recomposition of the image can
     be done by GIMP's layer modes so you can see the results of your
     modifications instantly. Among the applications are retouching, noise
     reduction, and enhancing global contrast.
   * Wavelet Denoise (0.3.1):
     The wavelet denoise plugin is a tool to selectively reduce noise in
     individual channels of an image with optional RGB<->YCbCr conversion.
     It has a user interface to adjust the amount of denoising applied. The
     wavelet nature of the algorithm makes the processing quite fast.
   * X11 Mouse Cursor (XMC) plug-in (2.0.6):
     Enables GIMP to import and export X11 mouse cursor files.
     (Only shipped if the package was built against libgimp-dev < 2.7~)
